<?php
/**
 * Copyright Info Section
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'sewa_copyright_info_section',
    array(
        'priority'        => 50,
        'capability'      => 'edit_theme_options',
        'theme_supports'  => '',
        'title'           => esc_html__('Footer Option', 'sewa'),
    )
);

/**
 * Field for Copyright
 *
 * @since 1.0.0
 */
$wp_customize->add_setting(
    'sewa_copyright',
    array(
        'default'           => $default['sewa_copyright'],
        'sanitize_callback' => 'wp_kses_post',
    )
);
$wp_customize->add_control(
    'sewa_copyright',
    array(
        'type'     => 'text',
        'label'    => esc_html__('Copyright', 'sewa'),
        'section'  => 'sewa_copyright_info_section',
        'priority' => 8
    )
);

/**
 * Social Icons
 *
 * @since 1.0.0
 */
$wp_customize->add_setting(
    'sewa_footer_social',
    array(
        'default'           => $default['sewa_footer_social'],
        'sanitize_callback' => 'sewa_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'sewa_footer_social',
    array(
        'type'     => 'checkbox',
        'label'    => esc_html__('Enable/Disable Social Icons ', 'sewa'),
        'description'    => esc_html__('Manage Social from Appearance > Menus.', 'sewa'),
        'section'  => 'sewa_copyright_info_section',
        'priority' => 8
    )
);

/**
 * Go to Top
 *
 * @since 1.0.0
 */
$wp_customize->add_setting(
    'sewa_footer_go_to_top',
    array(
        'default'           => $default['sewa_footer_go_to_top'],
        'sanitize_callback' => 'sewa_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'sewa_footer_go_to_top',
    array(
        'type'     => 'checkbox',
        'label'    => esc_html__('Enable/Disable Go to top ', 'sewa'),
        'description'    => esc_html__('Go to top Option for Footer Section', 'sewa'),
        'section'  => 'sewa_copyright_info_section',
        'priority' => 8
    )
);

